package com.heyu.api.data.service.impl.system;
/**
* <p>
* 系统信息 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SSystemDao;
import com.heyu.api.data.entity.system.SSystemEntity;
import com.heyu.api.data.service.system.SSystemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SSystemServiceImpl extends ServiceImpl<SSystemDao, SSystemEntity> implements SSystemService {


    @Autowired
	private SSystemDao sSystemDao;



	@Override
	public SSystemEntity selectSSystemById(Long id){
		return sSystemDao.selectSSystemById(id);
	}



	@Override
	public Long insertSSystem(SSystemEntity sSystem){
		return sSystemDao.insertSSystem(sSystem);
	}



	@Override
	public Long insertOrUpdateSSystem(SSystemEntity sSystem){
		return sSystemDao.insertOrUpdateSSystem(sSystem);
	}



	@Override
	public int updateSSystemById(SSystemEntity sSystem){
		return sSystemDao.updateSSystemById(sSystem);
	}



	@Override
	public int updateCoverSSystemById(SSystemEntity sSystem){
		return sSystemDao.updateCoverSSystemById(sSystem);
	}



	@Override
	public int deleteSSystemById(Long id){
		return sSystemDao.deleteSSystemById(id);
	}



}
